$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.2.19.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.2.19.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'FF058C1ED530FC9740642D21EA4379E53C9DCE073C9AEEDE0AA6EEEE032AB6B9'
  checksumType = 'sha256'
  checksum64 = 'FF058C1ED530FC9740642D21EA4379E53C9DCE073C9AEEDE0AA6EEEE032AB6B9'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-20.2.19-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
